### Method

# Fwupd Device set_vendor_id

deprecated: 1.5.5 since: 0.9.4

#### Declaration [src]

    void
    fwupd_device_set_vendor_id (
      FwupdDevice* self,
      const gchar* vendor_id
    )

#### Description [src]

Sets the device vendor ID.

Available since: 0.9.4

Deprecated since: 1.5.5

Use `fwupd_device_add_vendor_id()` instead.

#### Parameters

`vendor_id`

  Type: `const gchar*`

  The vendor ID, e.g. ‘USB:0x1234’ or ‘USB:0x1234|PCI:0x5678’

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.